# == Class: nagios
#
# === Examples
#
#  class { 'nagios':
#    email   => 'admin@example.com',
#  }
#
# === Authors
#
# Aneesh C <aneeshchandrasekharan@gmail.com>
#

class nagios (
  $package_name = $::nagios::params::package_name,
  $configfile   = $::nagios::params::configfile,
  $template     = $::nagios::params::template,
  $email        = undef,
) inherits nagios::params { 
  package { $package_name: ensure => installed }
  file { $configfile:
    require => package[$package_name],
    content => template($template),
  }
  if $::osfamily == 'RedHat' {
    service { 'nagios':
      require => package[$package_name],
      enable  => true,
    }
  }
}
