class nagios::params {
  if $::osfamily == 'RedHat' {
    $package_name = [ 'nagios', 'nagios-plugins-ping', 'nagios-plugins-disk', 'nagios-plugins-users', 'nagios-plugins-procs', 'nagios-plugins-load', 'nagios-plugins-ssh', 'nagios-plugins-http', 'nagios-plugins-swap' ]
    $configfile   = '/etc/nagios/objects/contacts.cfg'
    case $::operatingsystemrelease {
      /^6.*/: {
        $template = 'nagios/contacts.cfg.c.6.erb'
      }
      /^7.*/: {
        $template = 'nagios/contacts.cfg.c.7.erb'
      }
      default: {
        $template = 'nagios/contacts.cfg.c.6.erb'
      }
    }
  }
  if $::osfamily == 'Debian' {
    $package_name = [ 'nagios3' ]
    $configfile   = '/etc/nagios3/conf.d/contacts_nagios2.cfg'
    case $::operatingsystemrelease {
      /^12.*/: {
        $template = 'nagios/contacts_nagios2.cfg.u.12.erb'
      }
      /^14.*/: {
        $template = 'nagios/contacts_nagios2.cfg.u.14.erb'
      }
      default: {
        $template = 'nagios/contacts_nagios2.cfg.u.12.erb'
      }
    }
  }
}
